regex_lib:
    remove-simple-tag: '(?s)(\n\s*<___REPLACEVALUE___>[\s\S]*?</___REPLACEVALUE___>)'
rules:

    removeSimpleTag_AnalyticsSettings:
        branches: 
        file_names:
            - 'Analytics.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableReportCrtAutoAddPref
            - enableSqlDataset
            - enableSqlLiveDataset
            - sonicEnabled
        replace_with:

    removeSimpleTag_ApexSettings:
        branches: 
        file_names:
            - 'Apex.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableApexTestReqViewSetup
            - enableAsyncRequiresViewSetup
            - enableRunDynamicTriggers
        replace_with:

    removeSimpleTag_CaseClassification:
        branches: 
        file_names:
            - 'CaseClassification.settings'
        regex_name: remove-simple-tag
        replace_values:
            - caseClassificationRecommendations
            - reRunAttributeBasedRules
            - runAssignmentRules
        replace_with: 

    removeSimpleTag_CustomSite:
        branches: 
        extensions:
            - site
        regex_name: remove-simple-tag
        replace_values:
            - cspUpgradeInsecureRequests
            - requireHttps
        replace_with:    

    removeSimpleTag_EssentialsSettings:
        branches: 
        file_names:
            - 'Essentials.settings'
        regex_name: remove-simple-tag
        replace_values:
            - essentialsAppEnabled
        replace_with:   

    removeSimpleTag_ForecastingSettings:
        branches: 
        file_names:
            - 'Forecasting.settings'
        regex_name: remove-simple-tag
        replace_values:
            - adjustmentsSettings
            - forecastRangeSettings
            - quotasSettings
        replace_with:

    removeSimpleTag_IndustriesSettings:
        branches: 
        file_names:
            - 'Industries.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableEinsteinVisitsED
            - policyBasedSchedulingOrgPref
        replace_with:

    removeSimpleTag_LightningExperienceSettings:
        branches: 
        file_names:
            - 'LightningExperience.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableSplitViewOnStandard
        replace_with:

    removeSimpleTag_OrgSettings:
        branches: 
        file_names:
            - 'Org.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableExtendedMailMerge
            - saveMailMergeDocsAsSalesforceDocs
        replace_with:

    removeSimpleTag_SiteSettings:
        branches: 
        file_names:
            - 'Site.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableVisualforceApiAccessAllowed
        replace_with:  
